package laboratoire4;

public class MiniMaxResult {
    private final int score;
    private final int row;
    private final int col;
    private final Pawn.PawnMovement movement;

    public MiniMaxResult(int score, int row, int col, Pawn.PawnMovement movement) {
        this.score = score;
        this.row = row;
        this.col = col;
        this.movement = movement;
    }

    public int getScore() {
        return score;
    }

    public int getRow() {
        return row;
    }

    public int getCol() {
        return col;
    }

    public Pawn.PawnMovement getMovement() {
        return movement;
    }

    @Override
    public String toString() {
        return "MiniMaxResult{" +
                "score=" + score +
                ", col=" + col +
                ", row=" + row +
                ", movement=" + movement +
                '}';
    }
}
